Cyberduck Mountain Duck CLI

#4599 closed defect (fixed)

File mtime of retrieved files reflects cached mtime after edits

Reported by: xurizaemon Owned by: dkocher
Priority: normal Milestone: 3.6
Component: core Version: 3.5
Severity: normal Keywords:
Cc: xurizaemon@… Architecture: Intel
Platform: Mac OS X 10.6

Description

To reproduce -

  • Open FTP connection to server.
  • Identify a file you can edit which has a date in the past.
  • Use Cyberduck "Edit" (CMD+K) to edit the file.
  • Complete edit and save file.
  • Drag the file from the Cyberduck window to the local disk.

mtime of local file will be the mtime it was before the edit. To get the updated mtime, Cyberduck needs to refresh its file listing.

Suggest as a fix that after uploads, Cyberduck should do a partial LS to update its cache of file modification times.

Cyberduck Version 3.5.1 (6117) on OSX10.6.4

Change History (4)

comment:1 Changed on Jun 28, 2010 at 1:03:42 AM by xurizaemon

If it's not already obvious from the above -

Difference betw expected behaviour and actual is that I expect the MTIME to reflect the edit I've just made via Cyberduck, and for the retrieved files to sit at the top of the Finder list when sorted by date. Actual behaviour is that the files will have historic dates instead, although the file contents are (of course) correct.

comment:2 Changed on Jul 9, 2010 at 6:34:46 AM by dkocher

We currently do not refresh the directory listing after edits for performance reasons but should possibly change that policy.

comment:3 Changed on Jul 9, 2010 at 12:13:51 PM by dkocher

  • Milestone set to 3.6
  • Status changed from new to assigned

comment:4 Changed on Jul 13, 2010 at 1:27:50 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r6290.

Note: See TracTickets for help on using tickets.
swiss made software